pcl::MultipleData2DExampleIndex Struct Reference

Example index for a set of 2D data blocks. More...

`#include <pcl/ml/multiple_data_2d_example_index.h>`

## Public Attributes

int | data_set_id
| The data set index. More...
int | x
| The x-coordinate. More...
int | y
| The y-coordinate. More...

## Detailed Description

Example index for a set of 2D data blocks.

Definition at line 50 of file multiple_data_2d_example_index.h.

## Member Data Documentation

## data_set_id

int pcl::MultipleData2DExampleIndex::data_set_id

The data set index.

Definition at line 53 of file multiple_data_2d_example_index.h.

Referenced by pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature(), and pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature().

## x

int pcl::MultipleData2DExampleIndex::x

The x-coordinate.

Definition at line 56 of file multiple_data_2d_example_index.h.

Referenced by pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature(), and pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature().

## y

int pcl::MultipleData2DExampleIndex::y

The y-coordinate.

Definition at line 58 of file multiple_data_2d_example_index.h.

Referenced by pcl::MultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS >::evaluateFeature(), and pcl::ScaledMultiChannel2DComparisonFeatureHandler< DATA_TYPE, NUM_OF_CHANNELS, SCALE_CHANNEL, INVERT_SCALE >::evaluateFeature().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/ml/include/pcl/ml/multiple_data_2d_example_index.h